public class Niveau {
    // Propriétés d'un niveau
    private int id;
    private String nom;
    private int vitesseLigne;
    private int nbSegments;
    private String image;
    private int multiplicateurScore;
    private String couleurCercle;

    // Constructeur de la classe Niveau
    public Niveau(int id, String nom, int vitesseLigne, int nbSegments, String image, int multiplicateurScore, String couleurCercle) {
        this.id = id;
        this.nom = nom;
        this.vitesseLigne = vitesseLigne;
        this.nbSegments = nbSegments;
        this.image = image;
        this.multiplicateurScore = multiplicateurScore;
        this.couleurCercle = couleurCercle;
    }

    // Getters pour les propriétés du niveau
    public int getId() {
        return id;
    }

    public String getNom() {
        return nom;
    }

    public int getVitesseLigne() {
        return vitesseLigne;
    }

    public int getNbSegments() {
        return nbSegments;
    }

    public String getImage() {
        return image;
    }

    public int getMultiplicateurScore() {
        return multiplicateurScore;
    }

    public String getCouleurCercle() {
        return couleurCercle;
    }
    
}
